## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iParticleBuiltinEmitterCylinder Struct Reference
[Defaultemitters]

Inheritance diagram for iParticleBuiltinEmitterCylinder:

[legend]
List of all members.

## Public Member Functions

virtual const csVector3 & | GetExtent () const =0
| Get cylinder extent vector (from center to one end-point).
virtual float | GetRadius () const =0
| Get cylinder radius.
virtual void | SetExtent (const csVector3 &extent)=0
| Set cylinder extent vector (from center to one end-point).
virtual void | SetRadius (float radius)=0
| Set cylinder radius.

## Detailed Description

Definition at line 613 of file particles.h.

## Member Function Documentation

virtual const csVector3& iParticleBuiltinEmitterCylinder::GetExtent | ( |  | ) | const`[pure virtual]`

Get cylinder extent vector (from center to one end-point).

virtual float iParticleBuiltinEmitterCylinder::GetRadius | ( |  | ) | const`[pure virtual]`

Get cylinder radius.

virtual void iParticleBuiltinEmitterCylinder::SetExtent | ( | const csVector3 & | extent | ) | `[pure virtual]`

Set cylinder extent vector (from center to one end-point).

virtual void iParticleBuiltinEmitterCylinder::SetRadius | ( | float | radius | ) | `[pure virtual]`

Set cylinder radius.

The documentation for this struct was generated from the following file:

- imesh/particles.h